/* 左侧第一个 */

/* 左侧第二个 */

/* 左侧第三个 */

/* 右侧第一个 */
let rightChart1 = echarts.init(document.getElementById('right1'));
let rightOption1 = {
  tooltip: {
    trigger: 'axis'
  },
  legend: {
    data: ['类型1', '类型2'],
    textStyle: {
      color:'#fff'
    },
    right: 0,
  },
  grid: {
    top: 30,
    left: 35,
    bottom: 40,
    right: 20,
  },
  xAxis: {
    type: 'category',
    // boundaryGap: false,//这里表示是否补齐空白
    axisTick: {
      show: false
    },
    axisLabel: {
      color: '#fff'
    },
    axisLine: {
      show: false,//不显示坐标轴线
    },
    data: ['12:34', '12:44', '12:54', '13:04','13:14','13:24'],
  },
  yAxis: [{
    type: 'value',
    axisTick: {
      show:false
    },
    axisLabel: {
      color: '#fff'
    },
    axisLine: {
      show: false,//不显示坐标轴线
    },
    splitLine: {
      lineStyle: {
        color: '#2A3F61'
      }
    }
  }],
  series: [
    {
      name: '类型1',
      data: [50, 26, 33, 22, 43,30],
      type: 'line',
      smooth: true,
      symbol: 'circle',
      symbolSize: 2,
      hoverAnimation: false,
      areaStyle: {
        opacity: 0.1,
      },
      itemStyle: {
        color: '#FEB767'
      }
    },
    {
      name: '类型2',
      data: [60, 16, 63, 32, 13,20],
      type: 'line',
      smooth: true,
      symbol: 'circle',
      symbolSize: 2,
      hoverAnimation: false,
      areaStyle: {
        opacity: 0.1,
      },
      itemStyle: {
        color: '#2978C8'
      }
    }
  ]
}
rightChart1.setOption(rightOption1);

/* 右侧第二个 */
let rightChart2 = echarts.init(document.getElementById('right2'));
let rightOption2= {
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'none'
    }
  },
  xAxis: {
    show: false,
    type: 'value',
    boundaryGap: [0, 0.01]
  },
  yAxis: [
    {
      type: 'category',
      inverse: true,
      splitLine: {
        show: false
      },
      axisLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        color: '#fff',
      },
      data: ['类型1', '类型2', '类型3', '类型4', '类型5', '类型6']
    },
    {
      type: 'category',
      axisLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        show: true,
        inside: false,
        color: '#F5BD5F',
      },
      splitArea: {
        show: false
      },
      splitLine: {
        show: false
      },
      data: [18203, 23489, 29034, 104970, 131744, 630230]
    }
],
  grid: {
    top: 0,
    left: 60,
    bottom: 10,
    right: 60,
  },
  series: [
    {
      barWidth: 4,
      showBackground: true,
      type: 'bar',
      itemStyle: {
        color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [{
          offset: 0,
          color: '#F1912E'
        }, {
          offset: 1,
          color: "#ECB85F"
        }], false),
      },
      data: [18203, 23489, 29034, 104970, 131744, 630230]
    }
  ]
}
rightChart2.setOption(rightOption2);
/* 右侧第三个 */
